%define aurox_ver 9.3
%define rel 1


%define version 1.1.4

Summary:       Fast Light Tool Kit (FLTK)
Name:          fltk
Version:       %version
Release:       %{aurox_ver}.aur.%{rel}
Copyright:     LGPL
Group:         System Environment/Libraries
Source:        ftp://ftp.fltk.org/pub/fltk/%{version}/fltk-%{version}-source.tar.bz2
URL:           http://www.fltk.org
BuildRoot:     %{_tmppath}/fltk-%{PACKAGE_VERSION}

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a
cross-platform C++ GUI toolkit for UNIX(r)/Linux(r) (X11),
Microsoft(r) Windows(r), and MacOS(r) X.  FLTK provides modern
GUI functionality without the bloat and supports 3D graphics via
OpenGL(r) and its built-in GLUT emulation.

%package devel
Summary: FLTK - development environment
Group: Development/Libraries

%description devel
Install fltk-devel if you need to develop FLTK applications. 
You'll need to install the fltk package if you plan to run
dynamically linked applications.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=%{_prefix} --mandir=%{_mandir} --enable-shared --enable-xft --enable-xdbe

# If we got this far, all prerequisite libraries must be here.
make

%install
rm -rf $RPM_BUILD_ROOT
make -e prefix=$RPM_BUILD_ROOT/%{_prefix} mandir=$RPM_BUILD_ROOT/%{_mandir} install

# install man pages in right place (man1/ instead of cat1/, for example)
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
mv $RPM_BUILD_ROOT%{_mandir}/cat1/* $RPM_BUILD_ROOT%{_mandir}/man1/
gzip $RPM_BUILD_ROOT%{_mandir}/man1/*
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/
mv $RPM_BUILD_ROOT%{_mandir}/cat3/* $RPM_BUILD_ROOT%{_mandir}/man3/
gzip $RPM_BUILD_ROOT%{_mandir}/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libfltk*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/FL
%{_includedir}/Fl
%{_libdir}/libfltk*.so
%{_libdir}/libfltk*.a
%{_mandir}/man*/*
%{_datadir}/doc/fltk

%changelog
* Tue Jan 13 2004 Aurox Team <aurox@aurox.org> 0:1.1.4-9.3.aur.1
- initial import (required by some of alsa-tools)

* Thu Nov  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.4-1
- updated to 1.1.4, spec file tweaks
* Thu Mar  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.3-1
- spec file tweaks, change location of man pages to manx/ instead of catx/

